Skip to main content
GET
Get messages from a specific chat

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

chat_jid
string
required

Chat JID (e.g., phone@s.whatsapp.net for individual or groupid@g.us for group)

Query Parameters

limit
integer
default:50

Maximum number of messages to return

Required range: x <= 100
offset
integer
default:0

Number of messages to skip (for pagination)

start_time
string<date-time>

Filter messages from this timestamp (ISO 8601 format)

end_time
string<date-time>

Filter messages until this timestamp (ISO 8601 format)

media_only
boolean
default:false

Only return messages with media content

is_from_me
boolean

Filter messages by sender (true for messages sent by you, false for received messages). When both media_only=true and isFromMe=false are provided, media_only takes precedence and will return all media messages regardless of sender.

Search messages by content text

Response

OK

code
string
Example:

"SUCCESS"

message
string
Example:

"Success get chat messages"

results
object